Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.registration
Class RegistrationPropertyDescription

    java.lang.Object
      org.jboss.portal.wsrp.registration.RegistrationPropertyDescription

All Implemented Interfaces:
  PropertyDescription

    public class RegistrationPropertyDescription

extends java.lang.Object
implements PropertyDescription

Since:
  2.6
Version:
  $Revision:5865 $
Author:
  Chris Laprun

Constructor Summary
`RegistrationPropertyDescription()`
`RegistrationPropertyDescription(javax.xml.namespace.QName name, javax.xml.namespace.QName type)`
`RegistrationPropertyDescription(RegistrationPropertyDescription other)`
`RegistrationPropertyDescription(java.lang.String name, javax.xml.namespace.QName type)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`javax.xml.namespace.QName[]` | `getAliases()`
`LocalizedString` | `getDescription()`
`LocalizedString` | `getHint()`
`java.lang.Long` | `getKey()`
`LocalizedString` | `getLabel()`
`java.util.Locale` | `getLang()` Tries to heuristically determine the language for this RegistrationPropertyDescription
`javax.xml.namespace.QName` | `getName()`
`java.lang.String` | `getNameAsString()`
`java.lang.String` | `getSchemaLocation()`
`java.net.URI` | `getSchemaLocationAsURI()`
`javax.xml.namespace.QName` | `getType()`
`java.lang.String[]` | `getUsages()`
`int` | `hashCode()`
`java.lang.Object` | `modifyIfNeeded(java.lang.Object oldValue, java.lang.Object newValue)`
`void` | `setAliases(javax.xml.namespace.QName[] aliases)`
`void` | `setDefaultDescription(java.lang.String value)`
`void` | `setDefaultHint(java.lang.String value)`
`void` | `setDefaultLabel(java.lang.String value)`
`void` | `setDescription(LocalizedString description)`
`void` | `setHint(LocalizedString hint)`
`void` | `setKey(java.lang.Long key)`
`void` | `setLabel(LocalizedString label)`
`void` | `setName(javax.xml.namespace.QName name)`
`void` | `setNameAsString(java.lang.String name)`
`void` | `setParent(ProducerRegistrationRequirements requirements)`
`void` | `setSchemaLocation(java.lang.String schemaLocation)`
`void` | `setType(javax.xml.namespace.QName type)`
`void` | `setUsages(java.lang.String[] usages)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegistrationPropertyDescription

    public RegistrationPropertyDescription(javax.xml.namespace.QName name,
                                           javax.xml.namespace.QName type)

### RegistrationPropertyDescription

    public RegistrationPropertyDescription(java.lang.String name,
                                           javax.xml.namespace.QName type)

### RegistrationPropertyDescription

    public RegistrationPropertyDescription()

### RegistrationPropertyDescription

    public RegistrationPropertyDescription(RegistrationPropertyDescription other)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getKey

    public java.lang.Long getKey()

### setKey

    public void setKey(java.lang.Long key)

### getName

    public javax.xml.namespace.QName getName()

  Specified by:
    `getName` in interface `PropertyDescription`

### setName

    public void setName(javax.xml.namespace.QName name)

### setNameAsString

    public void setNameAsString(java.lang.String name)

### getNameAsString

    public java.lang.String getNameAsString()

### getType

    public javax.xml.namespace.QName getType()

  Specified by:
    `getType` in interface `PropertyDescription`

### setType

    public void setType(javax.xml.namespace.QName type)

### getSchemaLocation

    public java.lang.String getSchemaLocation()

### getSchemaLocationAsURI

    public java.net.URI getSchemaLocationAsURI()

### setSchemaLocation

    public void setSchemaLocation(java.lang.String schemaLocation)

### getDescription

    public LocalizedString getDescription()

### setDescription

    public void setDescription(LocalizedString description)

### setDefaultDescription

    public void setDefaultDescription(java.lang.String value)

### getHint

    public LocalizedString getHint()

### setHint

    public void setHint(LocalizedString hint)

### setDefaultHint

    public void setDefaultHint(java.lang.String value)

### getLabel

    public LocalizedString getLabel()

### setLabel

    public void setLabel(LocalizedString label)

### setDefaultLabel

    public void setDefaultLabel(java.lang.String value)

### getUsages

    public java.lang.String[] getUsages()

### setUsages

    public void setUsages(java.lang.String[] usages)

### getAliases

    public javax.xml.namespace.QName[] getAliases()

### setAliases

    public void setAliases(javax.xml.namespace.QName[] aliases)

### setParent

    public void setParent(ProducerRegistrationRequirements requirements)

### modifyIfNeeded

    public java.lang.Object modifyIfNeeded(java.lang.Object oldValue,
                                           java.lang.Object newValue)

### getLang

    public java.util.Locale getLang()

  Tries to heuristically determine the language for this RegistrationPropertyDescription

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD